# PetscDrawGetType

Gets the PetscDraw type as a string from the PetscDraw object.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawGetType(PetscDraw draw,PetscDrawType *type)

Not Collective

### Input Parameter

draw -Krylov context

### Output Parameters

name -name of PetscDraw method

Level:advanced
Location: src/sys/draw/interface/drawreg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages